/*
*  PopProfDlg.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef PopProfDlgH
#define PopProfDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall NewAcctProfile(TForm *Owner);
AnsiString __fastcall EditAcctProfile(TForm *Owner, AnsiString &ProfileStr);

class TAccProfDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *CancelBtn;
  TButton *OkBtn;
  TPanel *Panel1;
  TPanel *Panel2;
  TPanel *Panel3;
  TCheckBox *Delete;
  TCheckBox *PgpOnly;
  TEdit *Password;
  TCheckBox *Remember;
  TLabel *Label2;
  TCheckBox *HideType;
  TButton *HelpBtn;
  TCheckBox *Checked;
  TPanel *Panel4;
  TEdit *AccountUID;
  TEdit *Pop3Host;
  TLabel *Label1;
  TLabel *Label3;
  void __fastcall HideTypeClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  AnsiString profile;
  __fastcall TAccProfDlg(TComponent* Owner);
  AnsiString __fastcall GetProfile();
  void __fastcall SetProfile(AnsiString &ProfileStr);
};

#define POPDATDIV "\255"
#define POPACCDIV "\254"
//---------------------------------------------------------------------------
extern TAccProfDlg *AccProfDlg;
//---------------------------------------------------------------------------
#endif
